export interface IFirebaseProject {
    /**
     * used to map each project
     */
    name: string;
    /**
     * a user-defined unique identifier for the project across all of Firebase and Google Cloud.
     * This identifier may appear in URLs or names for some Firebase resources,
     * but it should generally be treated as a convenience alias to reference the project.
     * (example value: myapp-project-123)
     * required by firebase
     */
    projectId: string;
    /**
     * required by firebase
     * Application ID ("AppID"): the unique identifier for the Firebase app across all of Firebase with a platform-specific format:
     *       - Firebase Apple apps: GOOGLE_APP_ID (example value: 1:1234567890:ios:321abc456def7890)
     *         This is not an Apple bundle ID.
     *       - Firebase Android apps: mobilesdk_app_id (example value: 1:1234567890:android:321abc456def7890)
     *         This is not an Android package name or Android application ID.
     *         !we are in the last case
     *       - Firebase Web apps: appId (example value: 1:65211879909:web:3ae38ef1cdcb2e01fe5f0c)
     */
    appId: string;
    /**
     * required by firebase
     * a simple encrypted string used when calling certain APIs that don't need to access private user data
     * (example value: AIzaSyDOCAbC123dEf456GhI789jKl012-MnO)
     */
    apiKey: string;
    measurementId?: string;
}
export interface IGoogleAnalytics4Project {
    /**
     * used to map each project
     */
    name: string;
    /**
     * required by gtag.js
     */
    measurementId: string;
}
export interface IPageView {
    page_title: string;
    [key: string]: string;
}
export interface IScreenView {
    firebase_screen: string;
    [key: string]: string;
}
//# sourceMappingURL=types.d.ts.map