declare const RAW_HTML = "\n    <html>\n        <body>\n            <script type=\"module\">\n                import { initializeApp  } from 'https://www.gstatic.com/firebasejs/9.22.1/firebase-app.js';\n                import { initializeAnalytics, logEvent, setAnalyticsCollectionEnabled, setUserId } from 'https://www.gstatic.com/firebasejs/9.22.1/firebase-analytics.js';\n\n                const projects = {};\n\n                window.addEventListener(\"fa_add_project\", ({ detail }) => {\n                    try{\n                        const { name, config } = detail;\n                        const { user_id, debug_mode, ...rest } = config;\n\n                        const app = initializeApp(rest, { name })\n                        projects[name] = initializeAnalytics(app, { config: { send_page_view: false } });\n                        setAnalyticsCollectionEnabled(projects[name], true);\n                        if (user_id !== undefined) {\n                            setUserId(projects[name], user_id);\n                        }\n                    } catch(e){\n                        console.warn(e.message);\n                    }\n                });\n\n                window.addEventListener(\"fa_delete_project\", ({ detail }) => {\n                    try{\n                        delete projects[detail.name];\n                    } catch(e){\n                        console.warn(e.message);\n                    }\n                });\n\n                window.addEventListener(\"fa_log_event\", ({ detail }) => {\n                    Object.values(projects).forEach((project) => {\n                        try{\n                            logEvent(project, detail.name, detail.data);\n                        } catch(e){\n                            console.warn(e.message);\n                        }\n                    });\n                });\n            </script>\n            <script>\n                <!-- Google tag (gtag.js) -->\n                window.dataLayer = window.dataLayer || [];\n                function gtag(){\n                   dataLayer.push(arguments);\n                }\n                gtag('js', new Date());\n\n                const ga4Projects = {};\n\n                window.addEventListener(\"ga4_add_project\", ({ detail }) => {\n                    try{\n                        const { name, config } = detail;\n                        const { measurementId, debug_mode, user_id } = config;\n\n                        const ga4Ids = Object.values(ga4Projects);\n                        //for the first TAG ID we need to create the google tag manager script\n                        if (ga4Ids.length === 0) {\n                            const script = document.createElement(\"script\");\n                            script.type = \"text/javascript\";\n                            script.async = true;\n                            script.src = \"https://www.googletagmanager.com/gtag/js?id=\" + measurementId;\n                            document.getElementsByTagName(\"head\")[0].appendChild(script);\n                        }\n                        \n                        ga4Projects[name] = measurementId;\n                        const g4Config = { send_page_view: false, debug_mode: debug_mode }\n                        if (user_id !== undefined) {\n                            g4Config.user_id = user_id;\n                        }\n                        gtag('config', measurementId, g4Config);\n                    } catch(e){\n                        console.warn(e.message);\n                    }\n                });\n\n                window.addEventListener(\"ga4_delete_project\", ({ detail }) => {\n                    try{\n                        delete ga4Projects[detail.name];\n                    } catch(e){\n                        console.warn(e.message);\n                    }\n                });\n\n                window.addEventListener(\"ga4_log_event\", ({ detail }) => {\n                    const ga4Ids = Object.values(ga4Projects);\n                    if (ga4Ids.length > 0) {\n                        gtag(\"event\", detail.name, { send_to: ga4Ids, ...detail.data });\n                    }\n                });\n            </script>\n            <script>\n\n                const projects = {};\n\n                const isProjectValid = (config) => {\n                    return config.projectId || config.measurementId;\n                }\n\n                const isFirebaseProject = (config) => {\n                    return !!config.projectId;\n                }\n\n                //we need to send an event because analytics is loaded inside a script module \n                //so the methods aren't callable outside of it scope\n               const addProject = (name, configJSON) => {\n                    try{\n                        const config = JSON.parse(configJSON);\n\n                        if (!isProjectValid(config)) {\n                            throw new Error(\"No valid configuration found!\");\n                        }\n\n                        projects[name] = config;\n\n                        const event = isFirebaseProject(config) ? \"fa_add_project\" :\"ga4_add_project\";\n                        window.dispatchEvent(new CustomEvent(event, { detail: { name, config } }));\n                    }catch(e){\n                        console.warn(e.message);\n                    }\n                };\n\n                const deleteProject = (name) => {\n                    try{\n                        const event = isFirebaseProject(projects[name]) ? \"fa_delete_project\" :\"ga4_delete_project\";\n                        window.dispatchEvent(new CustomEvent(event, { detail: { name } }));\n                    \n                        delete projects[detail.name];\n                    } catch(e){\n                        console.warn(e.message);\n                    }\n                };\n\n                const getEventParams = (name, dataJSON) => {\n                    try{\n                        const data = JSON.parse(dataJSON);\n                        return { detail: { name, data } };\n                    }catch(e){\n                        console.warn(e.message);\n                    }\n\n                    return {};\n                };\n\n                const logFirebaseEvent = (name, dataJSON) => {\n                    try{\n                        const firebaseProjects = Object.values(projects).filter(function (project) {\n                                                    return isFirebaseProject(project);\n                                                });\n\n                        if (firebaseProjects.length > 0) { \n                            window.dispatchEvent(new CustomEvent(\"fa_log_event\", getEventParams(name, dataJSON)));\n                        }\n                    }catch(e){\n                        console.warn(e.message);\n                    }\n                };\n\n                const logGoogleAnalytics4Event = (name, dataJSON) => {\n                    try{\n                        const ga4Projects = Object.values(projects).filter(function (project) {\n                                                return !isFirebaseProject(project);\n                                            });\n\n                        if (ga4Projects.length > 0) {\n                            window.dispatchEvent(new CustomEvent(\"ga4_log_event\", getEventParams(name, dataJSON)));\n                        }\n                    }catch(e){\n                        console.warn(e.message);\n                    }\n                };\n\n                const logScreenView = (dataJSON) => {\n                    logFirebaseEvent(\"screen_view\", dataJSON);\n                };\n\n                const logPageView = (dataJSON) => {\n                    logGoogleAnalytics4Event(\"page_view\", dataJSON);\n                };\n\n                const logEvent = (name, dataJSON) => {\n                    logFirebaseEvent(name, dataJSON);\n                    logGoogleAnalytics4Event(name, dataJSON);\n                };\n\n            </script>\n        </body>\n    </html>\n";
export { RAW_HTML };
//# sourceMappingURL=scripts.d.ts.map